Shopify function deploy error

Ecommerce5
Shopify Partner
11 0 3

the following error shows when I run for my Shopify function deployment: npm run deploy ->

 

  The deployment of functions failed with the following errors:                                                                      
  [                                                                                                                                  
    {                                                                                                                                
      "field": null,                                                                                                                  
      "message": "Wasm validation failed: unknown import: `javy_quickjs_provider_v1::invoke` has not been defined",                  
      "tag": "user_error"                                                                                                            
    }                                                                                                                                  
  ]  

 

Replies 4 (4)

Liam
Shopify Staff
2731 302 783

Hi Ecommerce5,

 

Thanks for flagging this - we're aware of this issue and are looking into it now. Will update here asap.

Liam | Developer Advocate @ Shopify 
 - Was my reply helpful? Click Like to let me know! 
 - Was your question answered? Mark it as an Accepted Solution
 - To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

Liam
Shopify Staff
2731 302 783

Hi again - we've fixed this issue in a new version of Javy we released. Re-running the `npm run javy` command should allow you to update your version of Javy. 

 

Let us know if you run into any other issues,

Liam | Developer Advocate @ Shopify 
 - Was my reply helpful? Click Like to let me know! 
 - Was your question answered? Mark it as an Accepted Solution
 - To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

ronnylc
Shopify Partner
2 0 1

I'm having the same issue, I deleted the extension on partners admin panel but trying to deploying again is throwing an error Could not find Function by: so I supposed could be something related with cache?

Ecommerce5
Shopify Partner
11 0 3

I updated my pc and the issue is gone.  @ronnylc  I suppose you are right, it is because of the cache.